QGIS Application - Bug report #2870
mapserverexportplugin: qgis segfault when plugin used with unsaved project
2010-07-06 12:21 PM - Richard Duivenvoorde

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12930
Description

Build Qgis Trunk on Ubuntu 9.10

When just opening a shp-file in qgis or a postgis layer, and immediatly open de mapserverexportdialog and try to export the project, qgis
will first tell you that you should save the project. Doing that causes a qgis segfault on my machine.

Don't know what the best way to dive into this, but | tried to run qgis with strace to maybe have a clue. Last part attached, but | cannot see
something in it.

History

#1 - 2010-10-23 01:25 AM - Paolo Cavallini

Duplicated in #2966

#2 - 2010-10-26 01:03 PM - Richard Duivenvoorde

- Resolution set to fixed

- Status changed from Open to Closed

fixed by code from Martin in commit:752bad8d (SVN r14435)

see mail thread: http://lists.osgeo.org/pipermail/qgis-developer/2010-October/011341.html

Files

strace.txt 3.5KB 2010-07-06 Richard Duivenvoorde
